wiki:Compatibility

Version 4 (modified by Frederico Caldeira Knabben, 9 years ago) (diff)

--

Compatibility

(Outdated!)

Browsers

Theoretically we should support every browser that offers editing features in the DOM, which today includes IE, Firefox, Opera and Safari (maybe Konqueror? ... still to check).

It is a fact instead that Opera and Safari are still buggy to be able to be supported today, so we must work to inform the developers of those browsers about their issues, and pray to have fixes soon.

Whenever a new version is to be released, a complete test should be done over all supported browsers.

IE

This is the most used browser in the marketplace. Today we are supporting version 5.5, 6 and 7 (small fixes in the SVN yet).

Firefox

The second most used browser. We are still offering support for the buggy Firefox 1.0.x. As have already supporting two new generations after that (1.5 and 2.0), I believe we could seriously thing about stop supporting 1.0.x, as it introduces specific (and not always so nice) code to the editor.

Opera (not supported yet)

We are very close to be compatible with its latest builds.

FredCK has a NDA signed with Opera, to have access to the latest builds, bugs tracker and other developer's resources at Opera. Hallvord R. M. Steen, from Opera, is part of the project as our "Opera Advisor". They have always wanted to give us full support. We have many bugs reported at their ticketing system.

There is a specific milestone called "Opera Compatibility" at our Trac site. We are all invited to test this browser as much as we can, and fill tickets for found issues.

If any current bug is related to an Opera bug, please attach a reduced test case to the ticket and FredCK will report it to their ticketing system.

Safari (not supported yet)

It is very important to support Safari today. Not because of the users base, but as a marketing thing. But this browser is still too buggy. You may find other editor proposing Safari support out there just to get the attention, but is well known how buggy they are with this browser. We will declare FCKeditor compatible to it as soon as we have a solid and stable situation.

The nice news is that we are having good results with the latest nightly build of WebKit.

There is a specific milestone called "Safari Compatibility" at our Trac site. We are all invited to test this browser as much as we can, and fill tickets for found issues.

If any current bug is related to a Safari bug, please open a bug report at WebKit's Bugzilla. If the bug is something that we can't easily find an easy workaround, please make the FCKeditor Master Bug dependent of your new bug.


© 2003 – 2019 CKSource – Frederico Knabben. All rights reserved. | Terms of use | Privacy policy